# Auction metrics

The `AuctionMetrics` entity represents calculated metrics for the era retrieved from [auction info](https://docs.casper.network/developers/json-rpc/json-rpc-pos/#state-get-auction-info)

## Properties

The `AuctionMetrics` entity has the following properties:

| Property                  | Type   | Description                                                 |
| ------------------------- | ------ | ----------------------------------------------------------- |
| `current_era_id`          | `uint` | Current era identifier                                      |
| `active_validator_number` | `uint` | Current number of active validators                         |
| `total_bids_number`       | `uint` | Total number of [bidders](/1.2.x/rest-api/bidder.md)        |
| `active_bids_number`      | `uint` | Number of active [bidders](/1.2.x/rest-api/bidder.md)       |
| `total_active_era_stake`  | `uint` | Total sum of all validator stakes from current and next era |

**Example**

```json
{
  "data": {
    "current_era_id": 12137,
    "active_validator_number": 100,
    "total_bids_number": 256,
    "active_bids_number": 110,
    "total_active_era_stake": "17143148308665709822"
  }
}
```

## Optional properties

None

## Relations

| Entity                                      | Mapping property                       | Description                                                  |
| ------------------------------------------- | -------------------------------------- | ------------------------------------------------------------ |
| [`Bidder`](/1.2.x/rest-api/bidder.md)       | `total_bids_number,active_bids_number` | Validators with active bids are bidders in the auction era   |
| [`Validator`](/1.2.x/rest-api/validator.md) | `total_active_era_stake`               | Validators of the current and next era hold active era stake |

## Endpoints

The `AuctionMetrics` entity has the following endpoints:

* [Get auction metrics](/1.2.x/rest-api/auction-metrics/get-auction-metrics.md)

## Relation endpoints

None


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cspr.cloud/1.2.x/rest-api/auction-metrics.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
